<?php

// extended parameters for 
// simpleviewer module

/*
Basics 
   'height'  =>'320', Sets the overall height of the rotator.
   'width'  =>'260', Sets the overall width of the rotator.
Appearance 
   'backcolor'  =>'0xFFFFFF', Backgroundcolor of the controls, in HEX format.
   'frontcolor'  =>'0x000000', Texts & buttons color of the controls, in HEX format.
   'lightcolor'  =>'0x000000', Rollover color of the controls, in HEX format.
   'logo'  =>'undefined', Set this to an image that can be put as a watermark logo in the top right corner of the display. Transparent PNG files give the best results'  =>'example).
   'overstretch'  =>'false', Sets how to stretch images to make them fit the display. The default stretches to fit the display. Set this to true to stretch them proportionally to fill the display, fit to stretch them disproportionally and none to keep original dimensions.
   'screencolor'  =>'0x000000', Color of the display area, in HEX format. With the rotator, change this to your HTML page's color make images of different sizes blend nicely.
   'showicons'  =>'true', Set this to false to hide the activity icon and play button in the middle of the display.
   'shownavigation'  =>'true', Set this to false to completely hide the navigation bar.
   'transition'  =>'random', Sets the transition to use between images. The default, random, randomly pick a transition. To restrict to a certain transition, use these values: fade, bgfade, blocks, bubbles, circles, flash, fluids, lines or slowfade.
   'usefullscreen'  =>'true', Set this to false to hide the fullscreen button and disable fullscreen. 
Behaviour 
   'audio'  =>'undefined', Assigns an additional, synchronized MP3. Use this for background music.
   'linkfromdisplay'  =>'false', Set this to true to make a click on the display result in a jump to the webpage assigned to the link playlist metadata.
   'linktarget'  =>'_self', Set this to the frame you want hyperlinks to open in. Set it to _blank to open links in a new window or _top to open in the top frame.
   'repeat'  =>'false', Set this to true to automatically repeat playback of all images. Set this to list to playback an entire playlist once.
   'rotatetime'  =>'5', Sets the duration in seconds an image is shown before transitioning again.
   'shuffle'  =>'false),Set this to true to playback the images in random order.
   'volume'  =>'80', sets the startup volume of the MP3 background music. 
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

$transition = array( l10n('JWIR_random_label'), l10n('JWIR_fade_label'), l10n('JWIR_bgfade_label'), l10n('JWIR_blocks_label'), l10n('JWIR_bubbles_label'), l10n('JWIR_circles_label'), l10n('JWIR_flash_label'), l10n('JWIR_fluids_label'), l10n('JWIR_lines_label'), l10n('JWIR_slowfade_label'));
$overstretch = array( l10n('JWIR_false_label'), l10n('JWIR_true_label'), l10n('JWIR_fit_label'));
$linktarget = array( '_self', '_blank');

// default values
if	(!isset($ext_datas)) 
	$ext_datas = array(
   'height'  			=> '320', 
   'width'  			=> '260', 
   'backcolor'  		=> '#FFFFFF', 
   'frontcolor'  		=> '#000000', 
   'lightcolor'  		=> '#000000', 
//   'logo'  				=> 'undefined', 
   'overstretch'  		=> 1, //false,
   'screencolor'  		=> '#000000', 
   'showicons'  		=> true,
   'shownavigation'  	=> true,
   'transition'  		=> 1, //'random', 
   'usefullscreen'  	=> true,
   'linkfromdisplay'  	=> false,
   'linktarget'  		=> 2, //'_blank', 
   'repeat'  			=> false,
   'rotatetime'  		=> '5',
   'shuffle'  			=> false
);


		
// Enregistrement de la configuration
if (isset($_POST['submit']) and !is_adviser())
{

	foreach ($ext_datas as $key =>$value)
	{
		if ($key == "overstretch" or $key == "showicons" OR $key == "shownavigation" OR $key == "usefullscreen" 
			OR $key == "linkfromdisplay" OR $key == "repeat" OR $key == "shuffle")
			$ext_datas[$key] = isset($_POST['JWIR_'.$key]);
		else
			$ext_datas[$key] = $_POST['JWIR_'.$key];
	}
}

foreach ($ext_datas as $key => $value)
{

	if ($key == "showicons" OR $key == "shownavigation" OR $key == "usefullscreen" 
		OR $key == "linkfromdisplay" OR $key == "repeat" OR $key == "shuffle")
		$template->assign(array( 'JWIR_'.$key => ($ext_datas[$key] ? 'checked="checked"': '')));
	elseif ($key == "transition")
	{
		$i=1;
		foreach ( $transition as $order ) //on parcours le tableau 
		{
			$template->append('JWIR_transition',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['transition'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "linktarget")
	{
		$i=1;
		foreach ( $linktarget as $order ) //on parcours le tableau 
		{
			$template->append('JWIR_linktarget',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['linktarget'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	elseif ($key == "overstretch")
	{
		$i=1;
		foreach ( $overstretch as $order ) //on parcours le tableau 
		{
			$template->append('JWIR_overstretch',array('ID' => $i,'NAME' => $order,'SELECTED' => ($ext_datas['overstretch'] == $i ? 'selected' : '')));
			$i++;	
		}
	}
	
	else
		$template->assign(array( 'JWIR_'.$key => $ext_datas[$key]));

}

$template->assign(array('OTHERS_SCRIPT' =>
			'<script type="text/javascript" src="'.FLASHGAL_PATH.'farbtastic/farbtastic.js"></script>
			<link href="'.FLASHGAL_PATH.'farbtastic/farbtastic.css" rel="stylesheet" type="text/css"  />'));

$template->set_filenames(array('module_options' => dirname(__FILE__) . '/config.tpl'));
$template->assign_var_from_handle('MODULE_OPTIONS', 'module_options');

?>